summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-12-12 17:38:56 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-12-12 17:38:56 +0300
commit5591ad2290513d48453e7ecf97310c7a9fffc8c3 (patch)
treeb3ae8526c286e712135d14d1711b9df8e2028650
parent82aba01ea809a1114a843a9c55f98c531d598c7f (diff)
add POWERLEVEL9K_RBENV_SOURCES; fixes #372
-rw-r--r--config/p10k-classic.zsh5
-rw-r--r--config/p10k-lean.zsh5
-rw-r--r--config/p10k-rainbow.zsh5
-rw-r--r--internal/p10k.zsh10
4 files changed, 20 insertions, 5 deletions
diff --git a/config/p10k-classic.zsh b/config/p10k-classic.zsh
index 0d740d16..2a0eb2fb 100644
--- a/config/p10k-classic.zsh
+++ b/config/p10k-classic.zsh
@@ -620,7 +620,10 @@
################[ pyenv: python environment (https://github.com/pyenv/pyenv) ]################
# Pyenv color.
typeset -g POWERLEVEL9K_PYENV_FOREGROUND=37
- # Don't show the current Python version if it's the same as global.
+ # Hide python version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PYENV_SOURCES=(shell local global)
+ # If set to false, hide python version if it's the same as global:
+ # $(pyenv version-name) == $(pyenv global).
typeset -g POWERLEVEL9K_PYENV_PROMPT_ALWAYS_SHOW=false
# Custom icon.
# typeset -g POWERLEVEL9K_PYENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
diff --git a/config/p10k-lean.zsh b/config/p10k-lean.zsh
index bc5da31f..ce4d3332 100644
--- a/config/p10k-lean.zsh
+++ b/config/p10k-lean.zsh
@@ -596,7 +596,10 @@
################[ pyenv: python environment (https://github.com/pyenv/pyenv) ]################
# Pyenv color.
typeset -g POWERLEVEL9K_PYENV_FOREGROUND=37
- # Don't show the current Python version if it's the same as global.
+ # Hide python version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PYENV_SOURCES=(shell local global)
+ # If set to false, hide python version if it's the same as global:
+ # $(pyenv version-name) == $(pyenv global).
typeset -g POWERLEVEL9K_PYENV_PROMPT_ALWAYS_SHOW=false
# Custom icon.
# typeset -g POWERLEVEL9K_PYENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
diff --git a/config/p10k-rainbow.zsh b/config/p10k-rainbow.zsh
index f3c7265e..9419b4c5 100644
--- a/config/p10k-rainbow.zsh
+++ b/config/p10k-rainbow.zsh
@@ -630,7 +630,10 @@
# Pyenv color.
# typeset -g POWERLEVEL9K_PYENV_FOREGROUND=0
# typeset -g POWERLEVEL9K_PYENV_BACKGROUND=4
- # Don't show the current Python version if it's the same as global.
+ # Hide python version if it doesn't come from one of these sources.
+ typeset -g POWERLEVEL9K_PYENV_SOURCES=(shell local global)
+ # If set to false, hide python version if it's the same as global:
+ # $(pyenv version-name) == $(pyenv global).
typeset -g POWERLEVEL9K_PYENV_PROMPT_ALWAYS_SHOW=false
# Custom icon.
# typeset -g POWERLEVEL9K_PYENV_VISUAL_IDENTIFIER_EXPANSION='⭐'
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index 5bf89edb..def36276 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -3149,15 +3149,20 @@ function _p9k_pyenv_global_version() {
prompt_pyenv() {
(( $+commands[pyenv] || $+functions[pyenv] )) || return
local v=${(j.:.)${(@)${(s.:.)PYENV_VERSION}#python-}}
- if [[ -z $v ]]; then
+ if [[ -n $v ]]; then
+ (( ${_POWERLEVEL9K_PYENV_SOURCES[(I)shell]} )) || return
+ else
+ (( ${_POWERLEVEL9K_PYENV_SOURCES[(I)local|global]} )) || return
[[ $PYENV_DIR == /* ]] && local dir=$PYENV_DIR || local dir="$_p9k_pwd_a/$PYENV_DIR"
while true; do
if _p9k_read_pyenv_version_file $dir/.python-version; then
+ (( ${_POWERLEVEL9K_PYENV_SOURCES[(I)local]} )) || return
v=$_p9k_ret
break
fi
if [[ $dir == / ]]; then
(( _POWERLEVEL9K_PYENV_PROMPT_ALWAYS_SHOW )) || return
+ (( ${_POWERLEVEL9K_PYENV_SOURCES[(I)global]} )) || return
_p9k_pyenv_global_version
v=$_p9k_ret
break
@@ -4944,6 +4949,7 @@ _p9k_init_params() {
_p9k_declare -e POWERLEVEL9K_VIRTUALENV_RIGHT_DELIMITER ")"
_p9k_declare -a POWERLEVEL9K_VIRTUALENV_GENERIC_NAMES -- virtualenv venv .venv
_p9k_declare -b POWERLEVEL9K_PYENV_PROMPT_ALWAYS_SHOW 0
+ _p9k_declare -a POWERLEVEL9K_PYENV_SOURCES -- shell local global
_p9k_declare -b POWERLEVEL9K_GOENV_PROMPT_ALWAYS_SHOW 0
_p9k_declare -b POWERLEVEL9K_NODEENV_SHOW_NODE_VERSION 1
_p9k_declare -e POWERLEVEL9K_NODEENV_LEFT_DELIMITER "["
@@ -5430,7 +5436,7 @@ _p9k_must_init() {
[[ $sig == $_p9k__param_sig ]] && return 1
_p9k_deinit
fi
- _p9k__param_pat=$'v14\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
+ _p9k__param_pat=$'v15\1'${ZSH_VERSION}$'\1'${ZSH_PATCHLEVEL}$'\1'
_p9k__param_pat+=$'${#parameters[(I)POWERLEVEL9K_*]}\1${(%):-%n%#}\1$GITSTATUS_LOG_LEVEL\1'
_p9k__param_pat+=$'$GITSTATUS_ENABLE_LOGGING\1$GITSTATUS_DAEMON\1$GITSTATUS_NUM_THREADS\1'
_p9k__param_pat+=$'$DEFAULT_USER\1${ZLE_RPROMPT_INDENT:-1}\1$P9K_SSH\1$__p9k_ksh_arrays'